swipeGuess(1)

# NAME
swipeGuess - infer the word you meant from a swipe

# SYNOPSIS

*swipeGuess* _words.txt_ [_n_] [_ignorechars_] < _input_swipes.txt_ > _output_guesses.tsv_

wvkbd -O | *swipeGuess* _words.txt_ | completelyTypeWord.sh

wvkbd -O | *swipeGuess* _words.txt_ 5 | suggpicker | completelyTypeWord.sh

wvkbd -O | *swipeGuess* _words.txt_ 1 "'" | completelyTypeWord.sh

# OPTIONS
_n_
	Number of results that should be returned (default 1).

_ignorechars_
	Characters that exist in _words.txt_, but won't exist in your swipes, that you still want to type.

# DESCRIPTION

For each line of stdin, outputs the first _n_ results from _words.txt_ which could be an ordered subset of that line, separated by tabs.
If _ignorechars_ is given, the results may have these characters inside them even when not present in the input.

# SEE ALSO
*suggpicker*(1) *wvkbd*(1) *SwipeBehavior*(7)
